Bug 19262 - Built-in command "typeset" gives erroneous error messages
Summary: Built-in command "typeset" gives erroneous error messages
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bash   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-17 15:34 UTC by Ray Stann
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-17 15:34:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Stann 2000-10-17 15:34:29 UTC
In converting shell scripts from ksh to bash, I discovered that "typeset", a built-in command, functions well but issues invalid error messages.  
For example:

typeset -L9 zzzz

is suppose to left justify data placed into "zzzz", and will truncate the data if it's more then 9 characters long.  In fact this works, but the 
following error message is also issued:

typeset: unknown option: '-L'

The work-around is as follows:

typeset -L9 somename 2>/dev/null

Thanks for your help is fixing this bug

Comment 1 Bernhard Rosenkraenzer 2000-10-18 17:35:18 UTC
Typeset doesn't have a -L option according to POSIX; the fact that it worked is
a bug and can't be reproduced in 7.0. ;)


Note You need to log in before you can comment on or make changes to this bug.